import common from '../../utils/util';
import server from '../../utils/main';

const app = getApp();

Page({
  data: {
    List:[],
  },
  onLoad: function (options) {
    this.setData({
      Containnerheight: common.getSystemHeight(),
    });

    this.init();
  },
  init: function () {
    var that = this;
    wx.showLoading({
      title: '请稍后',
    });
    server.getData('GetInviteUser500?ProductID=' + app.globalData.ProgramID + '&UserID=' + app.globalData.userInfo.UserID, function (data) {
      if (data) {
        that.setData({
          List: data,
        });
      }
      wx.hideLoading();
    });
  },
  onShareAppMessage: function () {
    return {
      title: app.globalData.ShareTitle,
      path: app.globalData.SharePath + '?UserID=' + app.globalData.userInfo.UserID,
      imageUrl: app.globalData.ShareImage,
    }
  },
})